<template>
  <ValidationObserver ref="form" v-slot="{ handleSubmit }">
    <v-form @submit.prevent="handleSubmit(onSubmit)">
      <ValidationProvider v-slot="{ errors }" name="name" rules="required">
        <v-text-field
          label="name"
          placeholder="dinda hauw"
          :error-messages="errors"
          color="#f26525"
          v-model="name"
        ></v-text-field>
      </ValidationProvider>
      <ValidationProvider
        v-slot="{ errors }"
        name="email"
        rules="required|email"
      >
        <v-text-field
          label="Email"
          placeholder="dinda@gmail.com"
          :error-messages="errors"
          color="#f26525"
          v-model="email"
        ></v-text-field>
      </ValidationProvider>
      <ValidationProvider v-slot="{ errors }" name="Amount" rules="required">
        <v-text-field
          label="Amount"
          placeholder="100"
          :error-messages="errors"
          color="#f26525"
          v-model="amount"
        ></v-text-field>
      </ValidationProvider>
      <v-btn outlined color="#f26525" type="submit" class="my-10"
        ><span class="">Submit</span></v-btn
      >
    </v-form>
  </ValidationObserver>
</template>
<script>
export default {
  name: "loginForm",
  props: {},
  data() {
    return {
      name: null,
      email: null,
      amount: null
    };
  },
  methods: {
    onSubmit() {
      const { name, email, amount } = this;

      this.$emit("onFormSubmit", { name, email, amount });
    }
  }
};
</script>
